Cyberduck Mountain Duck CLI

#2263 closed enhancement (fixed)

Preference for Duplicate File Extension

Reported by: jono.walker@… Owned by: dkocher
Priority: low Milestone: 3.6
Component: interface Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

would like a preference for the automatic extension added to a filename (currently date and time), when duplicating a file, so that this can be configured by the user.

Change History (3)

comment:1 Changed on Jun 29, 2008 at 11:46:08 AM by dkocher

  • Component changed from core to interface
  • Milestone 3.1 deleted
  • Priority changed from normal to low
  • Summary changed from Feature Request: Preference for Duplicate File Extension to Preference for Duplicate File Extension
  • Type changed from defect to enhancement

comment:2 Changed on Apr 5, 2009 at 10:47:42 AM by dkocher

#3093 closed as duplicate.

comment:3 Changed on Aug 2, 2010 at 4:25:48 PM by dkocher

  • Milestone set to 3.6
  • Resolution set to fixed
  • Status changed from new to closed

In r6507.

Define a different format using

defaults write ch.sudo.cyberduck browser.duplicate.format "{0} ({1}){2}"

where the placeholders will be replaced with

  • {0} with the base filename
  • {1} with the timestamp of the file
  • {2} with the extension in the format .extension if present in the original filename.
Note: See TracTickets for help on using tickets.